MSSQL - Login/Connection error
Status: Closed

Priority: Severe/Regression

Assignee: Nathan Woodrow

Category: Data Provider

Affected QGIS version:master Regression?: No

Operating System: Win 7 Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 18842

Description

hello,

if i load a layer from mssql 2008 express r2 database , qgis (master 32 bit date 2.6.2014) throw an error ...see below.

can anybody reproduce this error?how can i solve this problem?

there are no problems under qgis 2.2 32 bit with the same layer.

thanks jan

Login error. The login is from an untrusted domain and can not be used with Windows authentication. There can be no connection.

original german error:

QSqlDatabasePrivate::database: unable to open database: "[Microsoft][ODBC SQL Server Driver][SQL Server]Anmeldefehler. Die

Anmeldung stammt aus einer nicht vertrauenswürdigen Domäne und kann mit der Windows-

Authentifizierung nicht verwendet werden. QODBC3: Es kann keine Verbindung aufgebaut werden"

QGIS-Version    2.3.0-Master    QGIS-Codeversion    ca6d4d9

Kompiliert gegen Qt    4.7.1    Laufendes Qt    4.7.1

Kompiliert mit GDAL/OGR    1.11.0    Läuft mit GDAL/OGR    1.11.0

Kompiliert mit GEOS    3.4.2-CAPI-1.8.2    Läuft mit GEOS    3.4.2-CAPI-1.8.2 r3921

PostgreSQL-Client-Version    8.3.10    SpatiaLite-Version    4.1.1

QWT-Version    5.2.1    PROJ.4-Version    480

QScintilla2-Version    2.6.2    Diese QGIS-Kopie schreibt Debugausgaben.

Associated revisions

Revision 6392fa92 - 2014-06-12 10:06 PM - Jürgen Fischer

mssql provider: cleanup driver and service usage and copy password in feature iterator (fixes #10428)

History

#1 - 2014-06-04 12:35 AM - Jan Lippmann

- File qgis_debugView_log.log added

- Assignee set to Nathan Woodrow

here are some additional infos:
-the sql server is NOT the local machine!

-the connection test in the connection dialog window works

-if i add the layer , the layer appears in the TOC but there are no records in the attribute table and no features in the map

-i think the problem is there.. "c:\\src\\qgis\\src\\providers\\mssql\\qgsmssqlfeatureiterator.cpp(42) : (QgsMssqlFeatureIterator::QgsMssqlFeatureIterator)

Failed to open database"...you can see it in the debugview-logfile

#2 - 2014-06-07 07:43 PM - Nathan Woodrow

What if you use a user and password?  If there is no password QGIS will try and use trusted connection.

#3 - 2014-06-08 12:58 AM - Giovanni Manghi

- Status changed from Open to Feedback

#4 - 2014-06-10 01:11 AM - Jan Lippmann

-We and our customers absolutely need sql server authenication mode.

-By the way, there is no successful connection without password, qgis throws the same error.

#5 - 2014-06-12 04:20 AM - Nathan Woodrow

Sure of course, we all need sql server mode.

I will take a look now.

#6 - 2014-06-12 01:16 PM - Jürgen Fischer

- Status changed from Feedback to Closed

Fixed in changeset commit:"6392fa9234cd022d494c0c25da5c3ba74e994918".

#7 - 2014-06-12 01:22 PM - Jürgen Fischer

- Status changed from Closed to Feedback

Jürgen Fischer wrote:

Fixed in changeset commit:"6392fa9234cd022d494c0c25da5c3ba74e994918".

Please verify if this doesn't break anything else.   "driver" and "service" were used synonymously, but not continuously.   Now "driver" was removed.

#8 - 2014-06-12 01:23 PM - Jürgen Fischer

- Status changed from Feedback to Closed

#9 - 2014-06-18 12:35 AM - Jan Lippmann

Now it works.
Thank you Jürgen

Files

qgis_mssql_connection.png 22.4 KB 2014-06-03 Jan Lippmann

qgis_debugView_log.log 16 KB 2014-06-03 Jan Lippmann
